API reference / YouTube / Internationalization regions list
Internationalization regions list
Read-only YouTube Data API v3 i18nRegions list endpoint.
1 credit per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/i18nRegions
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Use snippet. |
hloptional |
string | Language for the region names. For example: es |
Code examples
Example response
{
"etag": "O0XOx_7MspCVzc3CES1obXm31_s",
"kind": "youtube#i18nRegionListResponse",
"items": [
{
"id": "AE",
"etag": "RmvQrICcSKx5BZkuwuIam0hkr9o",
"kind": "youtube#i18nRegion",
"snippet": {
"gl": "AE",
"name": "United Arab Emirates"
}
},
{
"id": "BH",
"etag": "lYa87JjqaXmfqWaf6vuQD3YSNo4",
"kind": "youtube#i18nRegion",
"snippet": {
"gl": "BH",
"name": "Bahrain"
}
},
{
"id": "DZ",
"etag": "sNy_f3n1a8hzh4cy6lk7Blq6MgU",
"kind": "youtube#i18nRegion",
"snippet": {
"gl": "DZ",
"name": "Algeria"
}
},
{
"id": "EG",
"etag": "epyyUiiXSMjhLjkCvWGK-3zDKpM",
"kind": "youtube#i18nRegion",
"snippet": {
"gl": "EG",
"name": "Egypt"
}
},
{
"id": "IQ",
"etag": "foRr-koDaxI_23FCQgzB6S9YdQw",
"kind": "youtube#i18nRegion",
"snippet": {
"gl": "IQ",
"name": "Iraq"
}
}
]
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Internationalization regions list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
/api/v1/youtube/channelSections
1 credit / call
GET
Channels list
Read-only YouTube Data API v3 channels list endpoint.
/api/v1/youtube/channels
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
/api/v1/youtube/i18nLanguages
1 credit / call